# Gaussian Splatting in Python

Gaussian Splatting is a technique used in signal processing to approximate a signal using Gaussian functions. This repository provides implementations for 1D, 2D, and 3D Gaussian Splatting for educational purposes.
The code for [2D gaussian splatting](2D_Gaussian_Splatting.ipynb) and [3D gaussian Splatting](main.py) respectively is derived from the following repository:

- [2D Gaussian Splatting](https://github.com/OutofAi/2D-Gaussian-Splatting)
- [Gaussian Splatting](https://github.com/nerfstudio-project/gsplat)

For licensing, please refer to the parent repositories.

## Getting Started

To get started with this project, clone the repository and install the required packages listed in the `requirements.txt` file.

```sh
git clone git@github.com:yourusername/yourrepository.git
cd yourrepository
pip install -r requirements.txt
```
The Jupyter notebooks for 1D and 2D Gaussian Splatting can be run in local. You may need to install additional libraries for data processing and visualizing (pandas, seaborn). They are not listed in requirements.txt because they were not needed for the IPOL demo, which uses main.py, which uses CUDA.

This project is supposed to provide the prequisite knowledge for understanding the 3D Gaussian Splatting: https://repo-sam.inria.fr/fungraph/3d-gaussian-splatting/, and related works.
